# Hundegger K2
# 2017 foo.li systeme + software
# rebuilt package with checksums and install check

$packageName    = 'hundegger-k2'
$packageSearch  = 'Hundegger K2*'
$installerType  = 'msi'
$silentArgs     = '/qb'
$version        = '9.18.77.53522'
$url            = '\\unxfsv001\software\frommelt-zimmerei\hundegger\k2\Hundegger K2 9-18-77-53522 Release.msi'
$url64          = $url
$checksum       = '4FAEC346094D5FFA904D9E71D4B70747A250149E'
$checksumType   = 'sha1'

try {
    $app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                    'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*') `
                -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }

    if ($app -and ([version]$app.DisplayVersion -ge [version]$version)) {
        Write-Output $(
            'Hundegger K2 ' + $version + ' or greater is already installed. ' +
            'No need to download and install again. Otherwise uninstall first.'
            )
        } else {
            Install-ChocolateyPackage $packageName $installerType $silentArgs $url $url64 `
                        -checksum $checksum -checksumType $checksumType
        }    
    } catch {
    throw $_.Exception
}